org.activiti.engine.repository

## Interface ProcessDefinitionQuery

- All Superinterfaces:
    Query<ProcessDefinitionQuery,ProcessDefinition>

      public interface ProcessDefinitionQuery
      extends Query<ProcessDefinitionQuery,ProcessDefinition>

  Allows programmatic querying of `ProcessDefinition`s.
  Author:
    Tom Baeyens, Joram Barrez, Daniel Meyer, Saeid Mirzaei

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProcessDefinitionQuery` | `active()` Only selects process definitions which are active
    `ProcessDefinitionQuery` | `deploymentId(String deploymentId)` Only select process definitions that are deployed in a deployment with the given deployment id
    `ProcessDefinitionQuery` | `deploymentIds(Set<String> deploymentIds)` Select process definitions that are deployed in deployments with the given set of ids
    `ProcessDefinitionQuery` | `latestVersion()` Only select the process definitions which are the latest deployed (ie.
    `ProcessDefinitionQuery` | `messageEventSubscription(String messageName)` Deprecated.
    `ProcessDefinitionQuery` | `messageEventSubscriptionName(String messageName)` Selects the single process definition which has a start message event with the messageName.
    `ProcessDefinitionQuery` | `orderByDeploymentId()` Order by deployment id (needs to be followed by `Query.asc()` or `Query.desc()`).
    `ProcessDefinitionQuery` | `orderByProcessDefinitionCategory()` Order by the category of the process definitions (needs to be followed by `Query.asc()` or `Query.desc()`).
    `ProcessDefinitionQuery` | `orderByProcessDefinitionId()` Order by the id of the process definitions (needs to be followed by `Query.asc()` or `Query.desc()`).
    `ProcessDefinitionQuery` | `orderByProcessDefinitionKey()` Order by process definition key (needs to be followed by `Query.asc()` or `Query.desc()`).
    `ProcessDefinitionQuery` | `orderByProcessDefinitionName()` Order by the name of the process definitions (needs to be followed by `Query.asc()` or `Query.desc()`).
    `ProcessDefinitionQuery` | `orderByProcessDefinitionVersion()` Order by the version of the process definitions (needs to be followed by `Query.asc()` or `Query.desc()`).
    `ProcessDefinitionQuery` | `orderByTenantId()` Order by tenant id (needs to be followed by `Query.asc()` or `Query.desc()`).
    `ProcessDefinitionQuery` | `processDefinitionCategory(String processDefinitionCategory)` Only select process definitions with the given category.
    `ProcessDefinitionQuery` | `processDefinitionCategoryLike(String processDefinitionCategoryLike)` Only select process definitions where the category matches the given parameter.
    `ProcessDefinitionQuery` | `processDefinitionCategoryNotEquals(String categoryNotEquals)` Only select deployments that have a different category then the given one.
    `ProcessDefinitionQuery` | `processDefinitionId(String processDefinitionId)` Only select process definiton with the given id.
    `ProcessDefinitionQuery` | `processDefinitionIds(Set<String> processDefinitionIds)` Only select process definitions with the given ids.
    `ProcessDefinitionQuery` | `processDefinitionKey(String processDefinitionKey)` Only select process definition with the given key.
    `ProcessDefinitionQuery` | `processDefinitionKeyLike(String processDefinitionKeyLike)` Only select process definitions where the key matches the given parameter.
    `ProcessDefinitionQuery` | `processDefinitionName(String processDefinitionName)` Only select process definitions with the given name.
    `ProcessDefinitionQuery` | `processDefinitionNameLike(String processDefinitionNameLike)` Only select process definitions where the name matches the given parameter.
    `ProcessDefinitionQuery` | `processDefinitionResourceName(String resourceName)` Only select process definition with the given resource name.
    `ProcessDefinitionQuery` | `processDefinitionResourceNameLike(String resourceNameLike)` Only select process definition with a resource name like the given .
    `ProcessDefinitionQuery` | `processDefinitionTenantId(String tenantId)` Only select process definitions that have the given tenant id.
    `ProcessDefinitionQuery` | `processDefinitionTenantIdLike(String tenantIdLike)` Only select process definitions with a tenant id like the given one.
    `ProcessDefinitionQuery` | `processDefinitionVersion(Integer processDefinitionVersion)` Only select process definition with a certain version.
    `ProcessDefinitionQuery` | `processDefinitionVersionGreaterThan(Integer processDefinitionVersion)` Only select process definitions which version are greater than a certain version.
    `ProcessDefinitionQuery` | `processDefinitionVersionGreaterThanOrEquals(Integer processDefinitionVersion)` Only select process definitions which version are greater than or equals a certain version.
    `ProcessDefinitionQuery` | `processDefinitionVersionLowerThan(Integer processDefinitionVersion)` Only select process definitions which version are lower than a certain version.
    `ProcessDefinitionQuery` | `processDefinitionVersionLowerThanOrEquals(Integer processDefinitionVersion)` Only select process definitions which version are lower than or equals a certain version.
    `ProcessDefinitionQuery` | `processDefinitionWithoutTenantId()` Only select process definitions that do not have a tenant id.
    `ProcessDefinitionQuery` | `startableByUser(String userId)` Only selects process definitions which given userId is authoriezed to start
    `ProcessDefinitionQuery` | `suspended()` Only selects process definitions which are suspended

    - ### Methods inherited from interface org.activiti.engine.query.Query

      `asc, count, desc, list, listPage, singleResult`

- - ### Method Detail

    - #### processDefinitionId

          ProcessDefinitionQuery processDefinitionId(String processDefinitionId)

      Only select process definiton with the given id.

    - #### processDefinitionIds

          ProcessDefinitionQuery processDefinitionIds(Set<String> processDefinitionIds)

      Only select process definitions with the given ids.

    - #### processDefinitionCategory

          ProcessDefinitionQuery processDefinitionCategory(String processDefinitionCategory)

      Only select process definitions with the given category.

    - #### processDefinitionCategoryLike

          ProcessDefinitionQuery processDefinitionCategoryLike(String processDefinitionCategoryLike)

      Only select process definitions where the category matches the given parameter. The syntax that should be used is the same as in SQL, eg. %activiti%

    - #### processDefinitionCategoryNotEquals

          ProcessDefinitionQuery processDefinitionCategoryNotEquals(String categoryNotEquals)

      Only select deployments that have a different category then the given one.
      See Also:
        `DeploymentBuilder.category(String)`

    - #### processDefinitionName

          ProcessDefinitionQuery processDefinitionName(String processDefinitionName)

      Only select process definitions with the given name.

    - #### processDefinitionNameLike

          ProcessDefinitionQuery processDefinitionNameLike(String processDefinitionNameLike)

      Only select process definitions where the name matches the given parameter. The syntax that should be used is the same as in SQL, eg. %activiti%

    - #### deploymentId

          ProcessDefinitionQuery deploymentId(String deploymentId)

      Only select process definitions that are deployed in a deployment with the given deployment id

    - #### deploymentIds

          ProcessDefinitionQuery deploymentIds(Set<String> deploymentIds)

      Select process definitions that are deployed in deployments with the given set of ids

    - #### processDefinitionKey

          ProcessDefinitionQuery processDefinitionKey(String processDefinitionKey)

      Only select process definition with the given key.

    - #### processDefinitionKeyLike

          ProcessDefinitionQuery processDefinitionKeyLike(String processDefinitionKeyLike)

      Only select process definitions where the key matches the given parameter. The syntax that should be used is the same as in SQL, eg. %activiti%

    - #### processDefinitionVersion

          ProcessDefinitionQuery processDefinitionVersion(Integer processDefinitionVersion)

      Only select process definition with a certain version. Particulary useful when used in combination with `processDefinitionKey(String)`

    - #### processDefinitionVersionGreaterThan

          ProcessDefinitionQuery processDefinitionVersionGreaterThan(Integer processDefinitionVersion)

      Only select process definitions which version are greater than a certain version.

    - #### processDefinitionVersionGreaterThanOrEquals

          ProcessDefinitionQuery processDefinitionVersionGreaterThanOrEquals(Integer processDefinitionVersion)

      Only select process definitions which version are greater than or equals a certain version.

    - #### processDefinitionVersionLowerThan

          ProcessDefinitionQuery processDefinitionVersionLowerThan(Integer processDefinitionVersion)

      Only select process definitions which version are lower than a certain version.

    - #### processDefinitionVersionLowerThanOrEquals

          ProcessDefinitionQuery processDefinitionVersionLowerThanOrEquals(Integer processDefinitionVersion)

      Only select process definitions which version are lower than or equals a certain version.

    - #### latestVersion

          ProcessDefinitionQuery latestVersion()

      Only select the process definitions which are the latest deployed (ie. which have the highest version number for the given key). Can also be used without any other criteria (ie. query.latest().list()), which will then give all the latest versions of all the deployed process definitions.
      Throws:
        `ActivitiIllegalArgumentException` - if used in combination with `#groupId(string)`, `#processDefinitionVersion(int)` or `deploymentId(String)`

    - #### processDefinitionResourceName

          ProcessDefinitionQuery processDefinitionResourceName(String resourceName)

      Only select process definition with the given resource name.

    - #### processDefinitionResourceNameLike

          ProcessDefinitionQuery processDefinitionResourceNameLike(String resourceNameLike)

      Only select process definition with a resource name like the given .

    - #### startableByUser

          ProcessDefinitionQuery startableByUser(String userId)

      Only selects process definitions which given userId is authoriezed to start

    - #### suspended

          ProcessDefinitionQuery suspended()

      Only selects process definitions which are suspended

    - #### active

          ProcessDefinitionQuery active()

      Only selects process definitions which are active

    - #### processDefinitionTenantId

          ProcessDefinitionQuery processDefinitionTenantId(String tenantId)

      Only select process definitions that have the given tenant id.

    - #### processDefinitionTenantIdLike

          ProcessDefinitionQuery processDefinitionTenantIdLike(String tenantIdLike)

      Only select process definitions with a tenant id like the given one.

    - #### processDefinitionWithoutTenantId

          ProcessDefinitionQuery processDefinitionWithoutTenantId()

      Only select process definitions that do not have a tenant id.

    - #### messageEventSubscription

          @Deprecated
          ProcessDefinitionQuery messageEventSubscription(String messageName)

      Deprecated.
      See Also:
        `messageEventSubscriptionName(String)`

    - #### messageEventSubscriptionName

          ProcessDefinitionQuery messageEventSubscriptionName(String messageName)

      Selects the single process definition which has a start message event with the messageName.

    - #### orderByProcessDefinitionCategory

          ProcessDefinitionQuery orderByProcessDefinitionCategory()

      Order by the category of the process definitions (needs to be followed by `Query.asc()` or `Query.desc()`).

    - #### orderByProcessDefinitionKey

          ProcessDefinitionQuery orderByProcessDefinitionKey()

      Order by process definition key (needs to be followed by `Query.asc()` or `Query.desc()`).

    - #### orderByProcessDefinitionId

          ProcessDefinitionQuery orderByProcessDefinitionId()

      Order by the id of the process definitions (needs to be followed by `Query.asc()` or `Query.desc()`).

    - #### orderByProcessDefinitionVersion

          ProcessDefinitionQuery orderByProcessDefinitionVersion()

      Order by the version of the process definitions (needs to be followed by `Query.asc()` or `Query.desc()`).

    - #### orderByProcessDefinitionName

          ProcessDefinitionQuery orderByProcessDefinitionName()

      Order by the name of the process definitions (needs to be followed by `Query.asc()` or `Query.desc()`).

    - #### orderByDeploymentId

          ProcessDefinitionQuery orderByDeploymentId()

      Order by deployment id (needs to be followed by `Query.asc()` or `Query.desc()`).

    - #### orderByTenantId

          ProcessDefinitionQuery orderByTenantId()

      Order by tenant id (needs to be followed by `Query.asc()` or `Query.desc()`).

Copyright © 2016 Alfresco. All rights reserved.